Loading...
Searching...
No Matches
Dense.h File Reference

This file defines a simple dense grid and efficient converters to and from VDB grids. More...

`#include <openvdb/Types.h>`
`#include <openvdb/Grid.h>`
`#include <openvdb/tree/ValueAccessor.h>`
`#include <openvdb/Exceptions.h>`
`#include <openvdb/util/Formats.h>`
`#include "Prune.h"`
`#include <tbb/parallel_for.h>`
`#include <iostream>`
`#include <memory>`
`#include <string>`
`#include <utility>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | DenseBase< ValueT, LayoutZYX >
| Partial template specialization of DenseBase. More...
class | DenseBase< ValueT, LayoutXYZ >
| Partial template specialization of DenseBase. More...
class | Dense< ValueT, Layout >
| Dense is a simple dense grid API used by the CopyToDense and CopyFromDense classes defined below. More...
class | CopyToDense< _TreeT, _DenseT >
| Copy an OpenVDB tree into an existing dense grid. More...
class | CopyFromDense< _TreeT, _DenseT >
| Copy the values from a dense grid into an OpenVDB tree. More...

## Namespaces

namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::tools

## Enumerations

enum | MemoryLayout { LayoutXYZ , LayoutZYX }

## Functions

template<typename DenseT, typename GridOrTreeT>
void | copyToDense (const GridOrTreeT &sparse, DenseT &dense, bool serial=false)
| Populate a dense grid with the values of voxels from a sparse grid, where the sparse grid intersects the dense grid.
template<typename DenseT, typename GridOrTreeT>
void | copyFromDense (const DenseT &dense, GridOrTreeT &sparse, const typename GridOrTreeT::ValueType &tolerance, bool serial=false)
| Populate a sparse grid with the values of all of the voxels of a dense grid.

## Detailed Description

This file defines a simple dense grid and efficient converters to and from VDB grids.